Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class QueueRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.html.QueueRendererBase

All Implemented Interfaces:
  EventListener, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener

Direct Known Subclasses:
  AttachQueueRenderer, QueueRenderer

    public abstract class QueueRendererBase

extends javax.faces.render.Renderer
implements javax.faces.event.ComponentSystemEventListener

Author:
  Nick Belaevski Base class for rendering Queue

Field Summary
`protected static org.richfaces.log.Logger` | `LOGGER`
`protected static String` | `NAME_ATTRIBBUTE`
`protected static String` | `QUEUE_ID_ATTRIBBUTE`

Constructor Summary
`QueueRendererBase()`

Method Summary
`protected abstract String` | `getQueueName(javax.faces.context.FacesContext context, javax.faces.component.UIComponent comp)`
`void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE_ID_ATTRIBBUTE

    protected static final String QUEUE_ID_ATTRIBBUTE

See Also:
  Constant Field Values

### NAME_ATTRIBBUTE

    protected static final String NAME_ATTRIBBUTE

See Also:
  Constant Field Values

### LOGGER

    protected static final org.richfaces.log.Logger LOGGER

Constructor Detail

### QueueRendererBase

    public QueueRendererBase()

Method Detail

### processEvent

    public void processEvent(javax.faces.event.ComponentSystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getQueueName

    protected abstract String getQueueName(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent comp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.